Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Storagetype_Header Class Reference

****************************************************************. More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Storagetype_Header:

[legend]
Collaboration diagram for TAO_PSDL_Storagetype_Header:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Storagetype_Header (TAO_PSDL_Node *identifier, TAO_PSDL_Node *storagetype_inh_spec, TAO_PSDL_Node *storagetype_impl_spec)
| ****************************************************************. More...
| TAO_PSDL_Storagetype_Header (TAO_PSDL_Node *identifier, TAO_PSDL_Node *storagetype_inh_spec)
| TAO_PSDL_Storagetype_Header (TAO_PSDL_Node *identifier)
virtual | ~TAO_PSDL_Storagetype_Header (void)
TAO_PSDL_Node * | identifier (void) const
| Get the value. More...
TAO_PSDL_Node * | storagetype_inh_spec (void) const
TAO_PSDL_Node * | storagetype_impl_spec (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods. More...
## Private Attributes
TAO_PSDL_Node * | identifier_
| The values. More...
TAO_PSDL_Node * | storagetype_inh_spec_
TAO_PSDL_Node * | storagetype_impl_spec_

## Detailed Description

****************************************************************.

## Constructor & Destructor Documentation

TAO_PSDL_Storagetype_Header::TAO_PSDL_Storagetype_Header | ( | TAO_PSDL_Node * | identifier,
|  | TAO_PSDL_Node * | storagetype_inh_spec,
|  | TAO_PSDL_Node * | storagetype_impl_spec
| ) |

| ****************************************************************.

TAO_PSDL_Storagetype_Header::TAO_PSDL_Storagetype_Header | ( | TAO_PSDL_Node * | identifier,
|  | TAO_PSDL_Node * | storagetype_inh_spec
| ) |

TAO_PSDL_Storagetype_Header::TAO_PSDL_Storagetype_Header | ( | TAO_PSDL_Node * | identifier | ) |

TAO_PSDL_Storagetype_Header::~TAO_PSDL_Storagetype_Header | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Storagetype_Header::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Reimplemented from TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Storagetype_Header::identifier | ( | void |  | ) | const

| Get the value.

TAO_PSDL_Node * TAO_PSDL_Storagetype_Header::storagetype_impl_spec | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Storagetype_Header::storagetype_inh_spec | ( | void |  | ) | const

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Storagetype_Header::identifier_`[private]`

| The values.

TAO_PSDL_Node* TAO_PSDL_Storagetype_Header::storagetype_impl_spec_`[private]`

TAO_PSDL_Node* TAO_PSDL_Storagetype_Header::storagetype_inh_spec_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp